Introduction

Altap Salamander: Plugins: Registry Editor: Introduction

Getting Started with Registry Editor Plugin

With the Registry Editor plugin you can browse the Windows registry in panel; rename, copy, move, and delete keys and values; view and edit values; search in the registry (also using advanced criteria and regular expressions); and export keys.

See File System and Menu Extension sections in Using Plugins for a description of basic work with plugin file systems and menu extensions.

© 2001-2019 ALTAP. All rights reserved.


Searching in Windows Registry

You can search keys and values in the Windows registry. Specify what text or regular expression are you matching in names of keys or values, or in data of values.

To search in the Windows registry:

  1. Open the Windows Registry Search dialog box:
    Menu: Plugins/Registry Editor/Search in Windows Registry...
    Context menu: Open context menu in panel (right-click or Shift+Alt+F10) and choose Search...
  2. Specify what you are searching for in the Search for field.
  3. Specify where you want to search in the Look in field. If you open the Windows Registry Search dialog box from a panel with an opened path to the registry, this field is initialized to this path.
  4. If you need to specify some advanced options, select the Show Options check box.
  5. Choose the Find Now button.
  6. Found items are visible in the Found Items listview. You can press the Space key on a found item to focus it in an active panel.

See Also

Windows Registry Search dialog box

© 2001-2019 ALTAP. All rights reserved.


Creating New Key

When you need to create a new key in the specified key in the Windows registry, use this command.

To create a new key in registry:

  1. Open the key where you want to create a new key in panel.
  2. Open the Create Key dialog box:
    Menu: Plugins/Registry Editor/New Key...
    Menu: Commands/Create Directory...
    Shortcut key: F7
    Context menu: Open context menu in panel (right-click or Shift+Alt+F10) and choose New Key...
  3. Enter a key name.
  4. Choose the OK button.


Creating New Value

When you need to create a new value in the specified key in the Windows registry, use this command.

To create a new value in registry:

  1. Open the key where you want to create a new value in panel.
  2. Open the New Value dialog box:
    Menu: Plugins/Registry Editor/New Value...
    Context menu: Open context menu in panel (right-click or Shift+Alt+F10) and choose New Value...
  3. Enter a value name and a type of the value.
  4. Choose the OK button.


Editing Value

When you need to edit a value in the Windows registry, use this command.

To edit a value in registry:

  1. Focus the value in a panel.
  2. Open the Edit Value dialog box:
    Context menu: Open context menu for a value in panel (right-click or Shift+F10) and choose Edit...
    Shortcut key: Enter
    Mouse: Double click the value.
  3. Change a type and/or data of the value.
  4. Choose the OK button.

To edit raw data of a value in registry:

  1. Focus the value in a panel.
  2. Open the Raw Edit Value dialog box:
    Context menu: Open context menu for a value in panel (right-click or Shift+F10) and choose Raw Edit...
  3. Change a type of the value (if needed).
  4. Press the Launch Editor button. It opens data of the value in an external hex editor, after editing save the changes. You can setup your hex editor in the plugin's configuration (menu Options/Plugin Configuration/Registry Editor). If you are looking for a free hex editor, try Frhed (frhed.sourceforge.net).
  5. Choose the OK button.


Exporting Registry Key

You can export a key from the Windows registry to a disk file.

To export a focused key from registry to a disk file:

  1. Focus the key you want to export in panel.
  2. Open the Export dialog box:
    Menu: Plugins/Registry Editor/Export...
    Context menu: Open context menu for the focused key in panel (right-click or Shift+F10) and choose Export...
  3. Enter a resulting filename.
  4. Choose the OK button.

To export a registry key opened in panel to a disk file:

  1. Open the key you want to export in panel.
  2. Open the Export dialog box:
    Context menu: Open context menu in panel (right-click or Shift+Alt+F10) and choose Export...
  3. Enter a resulting filename.
  4. Choose the OK button.


Windows Registry Search dialog box

Altap Salamander: Plugins: Registry Editor: Dialog Boxes

Windows Registry Search

Use this dialog box to search in the Windows registry.

Options

Search for
Enter the text you are searching for (in names of keys or values or in data of values).
Find Now/Stop
The Find Now button starts searching. When searching is in progress, the Find Now button is replaced by the Stop button which you can use to stop searching.
Look in
Specifies the key in the registry where you want to start searching. The path "REG:\" stands for the root of the Windows registry (it means you will search in the whole registry). E.g. the path "REG:\HKEY_CURRENT_USER\Software" stands for the HKEY_CURRENT_USER\Software key.
Help
Displays this help page.
Show options
When checked, you can see more search options. Otherwise, you can see only the Found Items listview.
Include subkeys
Select this check box if you want to search all subkeys of the key listed in the Look in box.
Look at: Keys, Values, and Data
Specify if you want to search in names of keys, names of values, and/or data of values.
HEX-mode
This is the option for the Search for edit box. Hexadecimal mode will be used to set character by character in hexadecimal numbers. You can also input normal text in the hexadecimal mode, but it must be quoted using double quotes. So if you set '01 02 "text" 00', it will be a pattern with 7 characters, 2+4+1.
Case sensitive
This is the option for the Search for edit box. When checked, searching for a substring is case sensitive. Otherwise, searching is not case sensitive (upper and lower case characters are equal).
Whole words
This is the option for the Search for edit box. When checked, a found substring must be preceded and followed by a space, tab, or punctuation character, or be at the start or end of the name. Otherwise, the found substring may be a fragment of a larger string.
Regular expression
This is the option for the Search for edit box. When checked, the Search for field contains a regular expression. Otherwise, it contains a plain text. See description of regular expressions.
Newer or equal to
Searches only keys and values with date and time newer or equal to the specified date and time.
Older or equal to
Searches only keys and values with date and time older or equal to the specified date and time.
Found items
You can see found items here. Click on a header of a column to sort according to the column. Use the Space key to focus an item in an active panel.

See Also

Searching in the Windows Registry

© 2001-2019 ALTAP. All rights reserved.